DICOD(8)

NAME
dicod - a DICT daemon

SYNOPSIS
dicod [-fEsiTth] [-I DIR] [-x LEVEL-SPEC] [--config=FILE] [--foreground] [--stderr] [--syslog] [--preprocessor=PROG] [--no-preprocessor] [--include-dir=DIR] [--single-process] [--inetd] [--transcript] [--no-transcript] [--debug=LEVEL-SPEC] [--source-info] [--trace-grammar] [--trace-lex] [--config-help] [--lint] [--help] [--usage] [--version]

DESCRIPTION
dicod is an implementation of DICT server (RFC 2229). It is fully modular: the daemon itself (dicod) provides only the server functionality, but it knows nothing about database formats. Actual searches are performed by functions supplied in loadable modules. A single module can serve one or more databases.

OPTIONS

--config=FILE
    Read this configuration file.

-f, --foreground
    Operate in foreground.

--stderr
    Output diagnostic to stderr.

--syslog
    Output diagnostic to syslog (default).

-E  Preprocess configuration file and exit

--preprocessor=PROG
    Use PROG as a preprocessor for config file.

--no-preprocessor
    Do not use external preprocessor.

-I, --include-dir=DIR
    Add the directory DIR to the list of directories to be searched for preprocessor include files

-s, --single-process
    Single-process mode.

-i, --inetd
    Inetd mode.

-T, --transcript
    Enable session transcript.

--no-transcript
    Disable session transcript.

-x, --debug=LEVEL-SPEC
    Set debug verbosity level.

--source-info
    Include source line information in the debugging output.

--trace-grammar
    Trace parsing of configuration file.

--trace-lex
    Trace config file lexer.

--config-help
    Show configuration file summary.

-t, --lint
    Check configuration file syntax and exit.

-h, --help
    Give this help list

--usage
    Give a short usage message

--version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

REPORTING BUGS
Report bugs to <bug-dico@gnu.org>.

COPYRIGHT
Copyright © 2005, 2006, 2007, 2008 Sergey Poznyakoff. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
dico(1),
The full documentation for dicod is maintained as a Texinfo manual. If the info and dico-doc programs are properly installed at your site, the command

    info dicod

should give you access to the complete manual.

AUTHOR
dico was written by Sergey Poznyakoff <gray@gnu.org.ua>.

This manual page was written by أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, for the Debian project (and may be used by others).